> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# fontsize

> List of font types

## "fontsize" MDO List

List of font types

Implemented by the <see cref="T:SuperOffice.CRM.Lists.FontSizeProvider">FontSizeProvider</see> class.
The name of the MDO list is 'fontsize'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/fontsize
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("fontsize", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name | StyleHint | ExtraInfo |
| -- | ---- | --------- | --------- |
| 0  | 8px  |           |           |
| 1  | 9px  |           |           |
| 2  | 10px |           |           |
| 3  | 11px |           |           |
| 4  | 12px |           |           |
| 5  | 14px |           |           |
| 14 | 16px |           |           |
| 6  | 18px |           |           |
| 7  | 24px |           |           |
| 8  | 30px |           |           |
| 9  | 36px |           |           |
| 10 | 48px |           |           |
| 11 | 60px |           |           |
| 12 | 72px |           |           |
| 13 | 96px |           |           |

## Related MDO Lists

* "fontsizeheadings"
* "fontsizeheadingswithallitem"
* "fontsizeheadingswithallitemwithnoselection"
* "fontsizeheadingswithnoselection"
* "fontsizewithallitem"
* "fontsizewithallitemwithnoselection"
* "fontsizewithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.ChatWidgetSettings](/en/api/reference/webapi/SuperOffice.WebApi.Data.ChatWidgetSettings.md)
- [SuperOffice.WebApi.Data.UserPreferenceStrings.Mail](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.Mail.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [Put Chat Topic Entity](/en/api/reference/restful/rest/chattopic/put-chat-topic-entity.md)
- [Post Chat Topic Entity](/en/api/reference/restful/rest/chattopic/post-chat-topic-entity.md)
- [Get Chat Topic Entity](/en/api/reference/restful/agent/chat_agent/get-chat-topic-entity.md)
